Index: /trunk/NEMOGCM/SETTE/new_sette.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/new_sette.sh	(revision 8838)
+++ /trunk/NEMOGCM/SETTE/new_sette.sh	(revision 8839)
@@ -141,6 +141,7 @@
 # ORCA2_LIM3_OBS    :  7
 # ORCA2_AGRIF_LIM3  :  8 
-
-for config in 1 2 3 4 5 6 7 8
+# ORCA2AGR          :  9 & 10  AGRIF active with no zoom, compared to no AGRIF cpp key
+
+for config in 1 2 3 4 5 6 7 8 9 10
 do
 
@@ -150,5 +151,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n GYREPIS_SETTETESTS -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n GYREPIS_ST -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -287,5 +288,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_SETTETESTS -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_ST -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -474,5 +475,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_SETTETESTS -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_ST -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -650,5 +651,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_SETTETESTS -r AMM12 -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_ST -r AMM12 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -775,5 +776,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n SAS_SETTETESTS -r ORCA2_SAS_LIM3 -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n SAS_ST -r ORCA2_SAS_LIM3 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -792,4 +793,5 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg nn_fsbc 1 
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
@@ -815,4 +817,5 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg nn_fsbc 1 
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
@@ -846,5 +849,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_SETTETESTS -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ISOMIP_ST -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -972,5 +975,5 @@
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS_SETTETESTS -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3"  -j 8 add_key "key_asminc" del_key "key_top"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3"  -j 8 add_key "key_asminc" del_key "key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1080,126 +1083,10 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
-# TEST FOR ORCA2_LIM3_AGRIF : simple test of running AGRIF (no restartability neither reproducibility tests)
+# TEST FOR ORCA2_LIM3_AGRIF : AGULHAS AGRIF
 if [ ${config} -eq 8 ] ;  then
-    ## ORCA2_LIM3 with Agulhas AGRIF zoom in MPI
-    export TEST_NAME="SHORT"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_SETTETESTS -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=2
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 1
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 2
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 150
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg ln_read_cfg .true.
-    set_namelist 1_namelist_cfg ln_linssh .true.
-    set_namelist 1_namelist_cfg ln_hpg_sco .false.
-    set_namelist 1_namelist_cfg ln_hpg_zps .true. 
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-
-# test code corruption with AGRIF
-# Compile and run with or without AGRIF ORCA2_LIM3
-    # First run same as 15 but without zoom
-    export TEST_NAME="SHORT_NOZOOM"
-    cd ${CONFIG_DIR0}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-# 
-#   Set the number of fine grids to zero:    
-    sed -i "1s/.*/0/" ${EXE_DIR}/AGRIF_FixedGrids.in
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    export TEST_NAME="SHORT_NOAGRIF"
-    cd ${CONFIG_DIR0}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-#
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-
-
-## Restartability tests for ORCA2_LIM3_AGRIF 
+## Restartability tests
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGR_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1218,5 +1105,5 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg ln_hpg_zps .true.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
@@ -1233,5 +1120,5 @@
     set_namelist 1_namelist_cfg ln_linssh .true.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
-    set_namelist 1_namelist_cfg ln_hpg_zps .true. 
+    set_namelist 1_namelist_cfg ln_hpg_zps .true.
 #
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1242,5 +1129,5 @@
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    
+
     cd ${SETTE_DIR}
     export TEST_NAME="SHORT"
@@ -1257,5 +1144,5 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg ln_hpg_zps .true.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
@@ -1273,10 +1160,9 @@
     set_namelist 1_namelist_cfg ln_linssh .true.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
-    set_namelist 1_namelist_cfg ln_hpg_zps .true. 
+    set_namelist 1_namelist_cfg ln_hpg_zps .true.
     set_namelist namelist_cfg cn_ocerst_in \"O2LP_LONG_00000075_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
     set_namelist 1_namelist_cfg cn_ocerst_in \"O2LP_LONG_00000150_restart\"
     set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000150_restart_ice\"
-
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
@@ -1316,5 +1202,5 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg ln_hpg_zps .true.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
@@ -1329,5 +1215,5 @@
     set_namelist 1_namelist_cfg ln_linssh .true.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
-    set_namelist 1_namelist_cfg ln_hpg_zps .true. 
+    set_namelist 1_namelist_cfg ln_hpg_zps .true.
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1355,5 +1241,5 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg ln_hpg_zps .true.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
@@ -1368,5 +1254,5 @@
     set_namelist 1_namelist_cfg ln_linssh .true.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
-    set_namelist 1_namelist_cfg ln_hpg_zps .true. 
+    set_namelist 1_namelist_cfg ln_hpg_zps .true.
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1381,3 +1267,84 @@
 fi
 
+# test code corruption with AGRIF
+if [ ${config} -eq 9 ] ;  then
+
+# Compile with AGRIF but run with no zoom
+    export TEST_NAME="AGRIFNOZ"
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_NOZOOM_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_zdftmx key_top"
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=4
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg ln_hpg_sco .false.
+    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+# 
+#   Set the number of fine grids to zero:    
+    sed -i "1s/.*/0/" ${EXE_DIR}/AGRIF_FixedGrids.in
+
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+fi
+
+if [ ${config} -eq 10 ] ;  then
+# Compile with same option as 9 = ORCA2AGUL_NOZOOM, except ne key_agrif to check AGRIF does not hurt...
+    export TEST_NAME="AGRIFNO"
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_NOAGR_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 del_key "key_zdftmx key_top"
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=4
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg ln_hpg_sco .false.
+    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+#
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+fi
+
 done
Index: /trunk/NEMOGCM/SETTE/new_sette_rpt.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/new_sette_rpt.sh	(revision 8838)
+++ /trunk/NEMOGCM/SETTE/new_sette_rpt.sh	(revision 8839)
@@ -32,7 +32,7 @@
     cd ${TOOLS_DIR}/REBUILD_NEMO
     #SF echo "REBUILD LONG restart SAS files, without standard output"
-    ./rebuild_nemo -t 4 ../../CONFIG/SAS_SETTETESTS/LONG/SAS_00000240_restart_ice  $NPROC > /dev/null 2>&1
+    ./rebuild_nemo -t 4 ../../CONFIG/SAS_ST/LONG/SAS_00000240_restart_ice  $NPROC > /dev/null 2>&1
     #SF echo "REBUILD SHORT restart SAS files, without standard output"
-    ./rebuild_nemo -t 4 ../../CONFIG/SAS_SETTETESTS/SHORT/SAS_00000240_restart_ice $NPROC >&-
+    ./rebuild_nemo -t 4 ../../CONFIG/SAS_ST/SHORT/SAS_00000240_restart_ice $NPROC >&-
     cd ${SAS_RESTART_DIR}/LONG
     #SF echo "COPY rebuild restart files"
@@ -170,5 +170,4 @@
   fi
 }
-
 function reprotest(){
 #
@@ -194,9 +193,9 @@
     if  [ ! -f $f1s ] && [ ! -f $f1t ] ; then 
       printf "%-20s %s\n" $nam " incomplete test";
-      return; 
+      return;
     fi
     if  [ ! -f $f2s ] && [ ! -f $f2t ] ; then 
       printf "%-20s %s\n" $nam " incomplete test";
-      return; 
+      return;
     fi
 #
@@ -205,10 +204,10 @@
     if  [ -f $f1s ] && [ -f $f2s ] ; then
       cmp -s $f1s $f2s
-      if [ $? == 0 ]; then
-        if [ $pass == 0 ]; then 
+      if [ $? == 0 ]; then 
+        if [ $pass == 0 ]; then  
           printf "%-20s %s %s\n" $nam  " solver.stat reproducibility passed : " $dorv
         fi
       else
-        printf "%-20s %s %s\n" $nam  " solver.stat reproducibility FAILED : " $dorv 
+        printf "%-20s %s %s\n" $nam  " solver.stat reproducibility FAILED : " $dorv
 #
 # Offer view of differences on the second pass
@@ -232,5 +231,5 @@
     if  [ -f $f1t ] && [ -f $f2t ] ; then
       cmp -s $f1t $f2t
-      if [ $? == 0 ]; then
+      if [ $? == 0 ]; then 
         if [ $pass == 0 ]; then           printf "%-20s %s %s\n" $nam  " tracer.stat reproducibility passed : " $dorv
         fi
@@ -257,4 +256,58 @@
       fi
     fi
+  fi
+}
+
+function identictest(){
+#
+#  checks AGRIF does not corrupe results with no AGRIF zoom. Expects ORCA2AGUL/AGRIFNOZ and ORCA2AGUL_NAGR/AGRIFNO  run directories
+# Compares solver.stat files for each
+#
+  vdir=$1
+  dir1=$2
+  dir2=$3
+  pass=$4
+#
+  if [ -d $vdir/$dir1 ] && [ -d $vdir/$dir2 ]; then
+    dorv1=`ls -1rt $vdir/$dir1/$mach/ | tail -1l `
+    dorv1=`echo $dorv1 | sed -e 's:.*/::'`
+    dorv2=`ls -1rt $vdir/$dir2/$mach/ | tail -1l `
+    dorv2=`echo $dorv2 | sed -e 's:.*/::'`
+
+    rep1=`ls -1rt $vdir/$dir1/$mach/$dorv1/ |  tail -2l | head -1 `
+    rep2=`ls -1rt $vdir/$dir2/$mach/$dorv2/ |  tail -1l`
+    f1s=$vdir/$dir1/$mach/$dorv1/$rep1/solver.stat
+    f2s=$vdir/$dir2/$mach/$dorv2/$rep2/solver.stat
+
+    if  [ ! -f $f1s ] && [ ! -f $f2s ] ; then 
+      printf "%-20s %s\n" $dir1 $dir2 " incomplete test";
+      return; 
+    fi
+#
+    done_oce=0
+
+    if  [ -f $f1s ] && [ -f $f2s ] ; then
+      cmp -s $f1s $f2s
+      if [ $? == 0 ]; then
+        if [ $pass == 0 ]; then 
+          printf "%-20s %s %s %s %s\n" $rep1 $rep2  " AGRIF: solver.stat unchanged - test  passed : " $dorv1 $dorv2
+        fi
+      else
+        printf "%-20s %s %s %s %s\n" $rep1 $rep2  " for AGRIF, solver.stat test FAILED : " $dorv1 $dorv2
+#
+# Offer view of differences on the second pass
+#
+        if [ $pass == 1 ]; then
+          echo "<return> to view solver.stat differences"
+          read y
+          sdiff $f1s $f2s
+          done_oce=1
+          echo "<return> to continue"
+          read y
+        fi
+      fi
+    fi
+  else
+    printf "%-20s %s\n" $dir1 $dir2 " incomplete test";
   fi
 }
@@ -275,5 +328,5 @@
  NPROC=32
 
-  SAS_RESTART_DIR=${CONFIG_DIR0}/SAS_SETTETESTS
+  SAS_RESTART_DIR=${CONFIG_DIR0}/SAS_ST
 #
   if [ ! -d $NEMO_VALID ]; then
@@ -293,7 +346,6 @@
 # Rebuild and restartability test for SAS
 #
- for restart_file in WSAS_SETTETESTS
+ for restart_file in WSAS_ST
  do
- #  restfile $SAS_RESTART_DIR LONG $pass
    restfile $NEMO_VALID $restart_file $pass
  done
@@ -301,5 +353,5 @@
 # Restartability test
 #
- for restart_test in WGYREPIS_SETTETESTS WORCA2LIM3PIS_SETTETESTS WORCA2OFFPIS_SETTETESTS WAMM12_SETTETESTS WISOMIP_SETTETESTS WORCA2AGUL_SETTETESTS
+ for restart_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WISOMIP_ST WORCA2AGR_ST
  do
    resttest $NEMO_VALID $restart_test $pass
@@ -308,9 +360,23 @@
 # Reproducibility tests
 #
- for repro_test in WGYREPIS_SETTETESTS WORCA2LIM3PIS_SETTETESTS WORCA2OFFPIS_SETTETESTS WAMM12_SETTETESTS WISOMIP_SETTETESTS WORCA2_LIM3_OBSSETTETESTS_ WORCA2AGUL_1_2 WORCA2AGUL_SETTETESTS
+ for repro_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WISOMIP_ST WORCA2_LIM3_OBS_ST WORCA2AGR_ST
  do
    reprotest $NEMO_VALID $repro_test $pass
  done
-#
+
+
+
+# AGRIF special check
+ dir1=WORCA2AGUL_NOZOOM_ST
+ dir2=WORCA2AGUL_NOAGR_ST
+ identictest $NEMO_VALID $dir1 $dir2 $pass 
+
+
 done
+#
+## Additional checks for ORCA2AGUL/FIRST standalone AGRIF test
+## still to be added
+
+
+
 exit