Index: anches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_cron.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_cron.sh	(revision 8842)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#!/bin/bash
-
-##Config ccc_msub
-#MSUB -A  gen0826
-#MSUB -r  NEMO_Trust
-#MSUB -o  NEMO_Trust_%I
-#MSUB -e  NEMO_Trust_%I
-#MSUB -oe
-#MSUB -q  standard
-#MSUB -n  32
-#MSUB -N  2
-#MSUB -T  1800
-
-ccc_mprun ./opa
-
-exit 0
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_trust.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_trust.sh	(revision 8843)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_trust.sh	(revision 8843)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+##Config ccc_msub
+#MSUB -A  gen0826
+#MSUB -r  NEMO_Trust
+#MSUB -o  NEMO_Trust_%I
+#MSUB -e  NEMO_Trust_%I
+#MSUB -oe
+#MSUB -q  standard
+#MSUB -n  32
+#MSUB -N  2
+#MSUB -T  1800
+
+ccc_mprun ./opa
+
+exit 0
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8843)
@@ -1,32 +1,37 @@
 ## Curie configuration
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
+## Compilation
+##------------
+
+TRUST_COMPILE_FORTRAN='ifort'
+TRUST_COMPILE_MPI='bullxmpi/'
+TRUST_COMPILE_NETCDF='netcdf-[0-9]'
 
 
-## Default settings
-##---------------------------------------------------
-TRUST_JOB_ENV=${TRUST_IO_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
+## Inputs/Outputs
+## --------------
 
-='cdo diffn'
-
-[ -z "${TRUST_COMPILE_NPROC}" ] && TRUST_COMPILE_NPROC='4'
-[ -z "${TRUST_JOB_TIMEOUT}" ] && TRUST_JOB_TIMEOUT='10800'
+TRUST_IO_CDO='cdo'
 
 
-## (Super)computer environment
-##---------------------------------------------------
-TRUST_JOB_SCRIPT=${TRUST_MAIN_HPCC}.sh
-TRUST_JOB_SUBMIT="ccc_msub ${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'"
-TRUST_JOB_INFO="ccc_macct \${TRUST_JOB_ID}"
+## Running
+##--------
+
+TRUST_JOB_SUBMIT="ccc_msub \${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'"
 TRUST_JOB_STATE="ccc_mpp  | grep \${TRUST_JOB_ID}"
-TRUST_JOB_KILL="ccc_mdel        \${TRUST_JOB_ID}"
+TRUST_JOB_INFO="ccc_macct        \${TRUST_JOB_ID}"
+TRUST_JOB_KILL="ccc_mdel         \${TRUST_JOB_ID}"
 
-TRUST_JOB_TIME="ccc_macct \${TRUST_JOB_ID} | grep     \"\${TRUST_JOB_ID}.0 *opa\" | awk '{print               \$9      }'"
-TRUST_JOB_RAM_P="ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      | awk '{printf \"%d Mo\n\", \$2; exit}'"
-TRUST_JOB_RAM_V="ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      | awk '{printf \"%d Go\n\", \$7; exit}'"
-
-TRUST_COMPILE_FORTRAN='ifort'
-TRUST_IO_CDO='netcdf-utils-'
-TRUST_COMPILE_MPI='bullxmpi/'
-TRUST_COMPILE_NETCDF='netcdf-'
-
-PATH='/usr/local/netcdf-utils-4.3.3.1_hdf5/bin':$PATH
+TRUST_JOB_TIME="
+ccc_macct \${TRUST_JOB_ID} | grep     \"\${TRUST_JOB_ID}.0 *opa\" \
+    | awk '{print               \$9      }'                 \
+"
+TRUST_JOB_RAM_P="
+ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
+    | awk '{printf \"%d Mo\n\", \$2; exit}'                 \
+"
+TRUST_JOB_RAM_V="
+ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
+    | awk '{printf \"%d Go\n\", \$7; exit}'                 \
+"
Index: anches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg	(revision 8842)
+++ 	(revision )
@@ -1,29 +1,0 @@
-## Curie configuration
-##---------------------------------------------------
-
-
-## Default settings
-##---------------------------------------------------
-TRUST_COMPILE_FORTRAN='ifort'
-TRUST_COMPILE_MPI='bullxmpi/'
-TRUST_COMPILE_NETCDF='netcdf-[0-9]'
-
-TRUST_IO_CDO='cdo'
-
-TRUST_JOB_SUBMIT="ccc_msub \${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'"
-TRUST_JOB_STATE="ccc_mpp  | grep \${TRUST_JOB_ID}"
-TRUST_JOB_INFO="ccc_macct        \${TRUST_JOB_ID}"
-TRUST_JOB_KILL="ccc_mdel         \${TRUST_JOB_ID}"
-
-TRUST_JOB_TIME="
-ccc_macct \${TRUST_JOB_ID} | grep     \"\${TRUST_JOB_ID}.0 *opa\" \
-    | awk '{print               \$9      }'                 \
-"
-TRUST_JOB_RAM_P="
-ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
-    | awk '{printf \"%d Mo\n\", \$2; exit}'                 \
-"
-TRUST_JOB_RAM_V="
-ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
-    | awk '{printf \"%d Go\n\", \$7; exit}'                 \
-"
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_trust.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_trust.cfg	(revision 8843)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_trust.cfg	(revision 8843)
@@ -0,0 +1,36 @@
+## Curie configuration
+##--------------------------------------------------------------------------------
+
+## Compilation
+##------------
+
+TRUST_COMPILE_FORTRAN='ifort'
+TRUST_COMPILE_MPI='bullxmpi/'
+TRUST_COMPILE_NETCDF='netcdf-[0-9]'
+
+
+## Inputs/Outputs
+## --------------
+
+TRUST_IO_CDO='cdo'
+
+## Running
+##--------
+
+TRUST_JOB_SUBMIT="ccc_msub \${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'"
+TRUST_JOB_STATE="ccc_mpp  | grep \${TRUST_JOB_ID}"
+TRUST_JOB_INFO="ccc_macct        \${TRUST_JOB_ID}"
+TRUST_JOB_KILL="ccc_mdel         \${TRUST_JOB_ID}"
+
+TRUST_JOB_TIME="
+ccc_macct \${TRUST_JOB_ID} | grep     \"\${TRUST_JOB_ID}.0 *opa\" \
+    | awk '{print               \$9      }'                 \
+"
+TRUST_JOB_RAM_P="
+ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
+    | awk '{printf \"%d Mo\n\", \$2; exit}'                 \
+"
+TRUST_JOB_RAM_V="
+ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
+    | awk '{printf \"%d Go\n\", \$7; exit}'                 \
+"
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8843)
@@ -1,8 +1,8 @@
-## Settings for 
+## Regular trusting tests on Curie
 ##--------------------------------------------------------------------------------
-
 
 ## Trusting installation
 ## ---------------------
+
    TRUST_DIR_WORK=$CCCWORKDIR/NEMO
 TRUST_DIR_SCRATCH=$CCCSCRATCHDIR/NEMO/trusting
@@ -10,10 +10,7 @@
 
 
-## Branch checkout
-## ---------------
-
-
 ## NEMO configuration
 ## ------------------
+
 [ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ] && TRUST_CFG_NEW='O2LP_trust'
 [ ${TRUST_CFG_REF} == 'ORCA2_LIM3_PISCES' ] && TRUST_CFG_NEW='O2L3P_trust'
@@ -23,4 +20,5 @@
 ## Inputs/Outputs
 ## --------------
+
 TRUST_IO_FORC_PATH=$CCCWORKDIR/NEMO/FORC
      TRUST_IO_XIOS=$CCCWORKDIR/XIOS
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8843)
@@ -1,35 +1,38 @@
-## Installation for trusting tests on Ada Supercomputer
-##---------------------------------------------------
+## Regular trusting tests on Ada
+##--------------------------------------------------------------------------------
+
+## Trusting installation
+## ---------------------
+
+   TRUST_DIR_WORK=$WORKDIR/NEMO
+TRUST_DIR_SCRATCH=$WORKDIR/NEMO/trusting
+  TRUST_DIR_STORE=$WORKDIR/NEMO/trusting_sav
 
 
-## Default settings
-##---------------------------------------------------
-[ -z "${TRUST_SVN_BRANCH}" ] && TRUST_SVN_BRANCH='trunk'
-TRUST_SVN_CO=( 'ARCH           CONFIG          NEMO               \
-             EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
-             TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
+## NEMO configuration
+## ------------------
 
-[ -z "${TRUST_CFG_REF}" ] && TRUST_CFG_REF='ORCA2_LIM_PISCES'
-TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
-
-[ -z "${TRUST_IO_FORC_TAR}" ] && TRUST_IO_FORC_TAR='ORCA2_LIM_nemo_v3.6.tar'
-[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_IO_FORC_TAR='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
-[ ${TRUST_CFG_REF} == 'AMM12'             ] && TRUST_IO_FORC_TAR='AMM12_v3.6.tar'
-
-TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
-[ ${TRUST_CFG_REF} == 'ORCA2_LIM' ] && TRUST_CFG_KEY_ADD='key_add key_agrif' && TRUST_CFG_KEY_DEL='key_del key_zdftmx'
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ] && TRUST_CFG_NEW='O2LP_trust'
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM3_PISCES' ] && TRUST_CFG_NEW='O2L3P_trust'
+[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_NEW='O1L3P_trust'
 
 
-## User environment
-##---------------------------------------------------
-TRUST_DIR_WORK=$WORKDIR/NEMO
-TRUST_DIR_SCRATCH=$WORKDIR/NEMO/trusting/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE}
-TRUST_DIR_STORE=$WORKDIR/NEMO/trusting_sav/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}
-TRUST_IO_FORC_PATH=$WORKDIR/NEMO/FORC
-TRUST_IO_XIOS=$WORKDIR/XIOS/xios-1.0
+## Inputs/Outputs
+## --------------
 
-[ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ] && TRUST_CFG_NEW='O2LP_trust'
-[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_NEW='O1L3P_trust'
-[ ${TRUST_CFG_REF} == 'ORCA2_LIM'         ] && TRUST_CFG_NEW='O2LA_trust'
+TRUST_IO_FORC_PATH=$COMMONDIR/NEMO/Online_forcing_archives
+     TRUST_IO_XIOS=$WORKDIR/XIOS
 
-[ -z "${TRUST_TEST_MAILING}" ] && TRUST_TEST_MAILING='ntmlod@locean-ipsl.upmc.fr'
+if   [ ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE'  ]; then
+    TRUST_IO_XIOS+='/xios-1.0'
+elif [ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES'    ]; then
+    TRUST_IO_XIOS+='/XIOS_DEV_CMIP6'
+else
+    TRUST_IO_XIOS+='/trunk'
+fi
+
+
+## Trusting test
+##--------------
+
+TRUST_TEST_MAILING=$( cat ./cfg/mailing_list.txt )
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8843)
@@ -59,5 +59,5 @@
 ##  2 variables to handle 4 different cases: TRUST_IO_FORC_PATH for path to the forcing directory
 ##+ and TRUST_IO_FORC_TAR for potential archive(s) to extract
-##o TRUST_IO_FORC_PATH unset & TRUST_IO_FORC_TAR unset => No files needed at all
+##o TRUST_IO_FORC_PATH unset                           => No files needed at all
 ##o TRUST_IO_FORC_PATH set   & TRUST_IO_FORC_TAR empty => All inside files will be copied
 ##o TRUST_IO_FORC_PATH set   & TRUST_IO_FORC_TAR   set => Files will be extracted from archives list
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8843)
@@ -12,12 +12,12 @@
 ##-------------------------------------------------------------------
 
-if [ ${TRUST_FLAG_DEBUG} == 'true' ]; then
+if [ ${TRUST_FLAG_DEBUG} == 'false' ]; then
+    ## std mode (merge stdout & stderr to /dev/null, XIOS compilation from scratch)
+    TRUST_IO_XIOS_MODE='--full'
+    TRUST_MAIN_STDOUT='>& /dev/null'
+else
     ## debug mode (verbose output and skip XIOS compilation)
     TRUST_IO_XIOS_MODE=''
     TRUST_MAIN_STDOUT='1> /dev/null'
-else
-    ## std mode (merge stdout & stderr to /dev/null, XIOS compilation from scratch)
-    TRUST_IO_XIOS_MODE='--full'
-    TRUST_MAIN_STDOUT='>& /dev/null'
 fi
 
@@ -101,9 +101,21 @@
 ##-------------------
 
-## Forcing archive unset
-if [[ ! ${TRUST_IO_FORC_TAR} && ${TRUST_IO_FORC_TAR-_} ]]; then
-
-    ## Forcing directory set
-    if [ ${TRUST_IO_FORC_PATH} ]; then
+[ -z "${TRUST_CFG_NEW}" ] && TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
+export TRUST_CFG_NEW TRUST_CFG_REF
+export TRUST_CFG_KEY_ADD TRUST_CFG_KEY_DEL
+
+
+## Inputs/Outputs
+## --------------
+
+[ -z "${TRUST_IO_XIOS}" ] && get_out A
+export TRUST_IO_XIOS
+
+## Forcing directory set and not empty
+if [ ${TRUST_IO_FORC_PATH} ]; then
+
+    ## Forcing archive unset
+    if [[ ! ${TRUST_IO_FORC_TAR} && ${TRUST_IO_FORC_TAR-_} ]]; then
+
 	## Default forcing archive from trunk
 	TRUST_IO_FORC_TAR='ORCA2_LIM_nemo_v3.7.tar INPUTS_PISCES_v3.6st.tar'
@@ -126,20 +138,10 @@
 fi
 
-[ -z "${TRUST_CFG_NEW}" ] && TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
-export TRUST_CFG_NEW TRUST_CFG_REF
-export TRUST_CFG_KEY_ADD TRUST_CFG_KEY_DEL
-
-
-## Inputs/Outputs
-## --------------
-
-[ -z "${TRUST_IO_XIOS}" ] && get_out A
-export TRUST_IO_XIOS
 export TRUST_IO_FORC_PATH TRUST_IO_FORC_TAR
 export TRUST_IO_CDO
 
 
-## Compilation & Running
-##----------------------
+## Compilation
+##------------
 
 ## Assuming the sourcing of XIOS arch .env file (modules) for setting 
@@ -156,4 +158,8 @@
 ## Not mandatory
 export TRUST_COMPILE_FORTRAN TRUST_COMPILE_MPI TRUST_COMPILE_NETCDF
+
+
+## Running
+##--------
 
 ## Assuming the job submit script is in './batch', if not 
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8843)
@@ -22,5 +22,5 @@
     local outline=$( printf "%${char_nb}s" )
 
-    printf "\nStep.....\n%s\n%s\n" "$1" ${outline// /-}
+    printf "\n\nStep.....\n%s\n%s\n\n" "$1" ${outline// /-}
 }
 
@@ -34,10 +34,10 @@
     echo     ${TRUST_TEST_DIR}
 
-    echo 'Date'        	    > ${file_date}; echo 'Result'       > ${file_rslt}
-    echo 'Status'      	    > ${file_stat}; echo 'NEMOGCM'      > ${file_nemo}
-    echo 'XIOS'   	    > ${file_xios}; echo 'Fortran'      > ${file_cmpf}
-    echo 'MPI'    	    > ${file_lmpi}; echo 'NetCDF'       > ${file_ncdf}
-    echo 'Inputs' 	    > ${file_inpt}; echo 'Elapsed time' > ${file_time}
-    echo 'RAM (Phy./Virt.)' > ${file_memy}; echo 'Comments'     > ${file_note}
+    echo 'Date'        	    > ${file_date}; echo 'Result'   > ${file_rslt}
+    echo 'Status'      	    > ${file_stat}; echo 'NEMOGCM'  > ${file_nemo}
+    echo 'XIOS'   	    > ${file_xios}; echo 'Fortran'  > ${file_cmpf}
+    echo 'MPI'    	    > ${file_lmpi}; echo 'NetCDF'   > ${file_ncdf}
+    echo 'Inputs' 	    > ${file_inpt}; echo 'Time'     > ${file_time}
+    echo 'RAM (Phy./Virt.)' > ${file_memy}; echo 'Comments' > ${file_note}
 
     ## 'FAILED' status with 'Unknown error' by default
@@ -66,6 +66,6 @@
 
 	echo $dir && ${TRUST_SVN_ACTION} ${TRUST_SVN_NEMOGCM}/$dir || get_out C
-	rev_loc=$( svn info ${TRUST_SVN_NEMOGCM}/$dir     \
-	           | awk '/Last Changed Rev/ {print $NF}'   )
+	rev_loc=$( svn info ${TRUST_SVN_NEMOGCM}/$dir         \
+	               | awk '/Last Changed Rev/ {print $NF}'   )
 
 	## Keep last rev. nb
@@ -87,5 +87,5 @@
 
     ## Sourcing environment
-    . ${TRUST_JOB_ENV}
+    . ${TRUST_JOB_ENV} >& /dev/null
 
     for str in ${TRUST_COMPILE_FORTRAN}                         \
@@ -101,5 +101,5 @@
 	if [[ $str =~ ${TRUST_COMPILE_FORTRAN}|${TRUST_IO_CDO} ]]; then
 	    ver=$( $str --version 2>&1 | grep -m1 -oe '\<[0-9. ]*\>' \
-		   | xargs echo $str                                   )
+		       | xargs echo $str                               )
 	fi
 
@@ -107,5 +107,5 @@
 	ver=$( echo $ver | sed 's|[/-]| |g' )
 
-	echo $ver \
+	echo $ver        \
 	    >> model.log
     done
@@ -130,6 +130,7 @@
 
     rev=$( svn info | awk '/Last Changed Rev/ {print $NF}' )
-    echo 'XIOS '$rev \
-	>> ${TRUST_TEST_DIR}/model.log
+    printf 'XIOS                 branch %s rev. %s\n' \
+	$( basename ${TRUST_IO_XIOS} ) $rev           \
+	| tee -a ${TRUST_TEST_DIR}/model.log
     echo "<a href=\"${TRUST_SVN_REPO}/ioserver/changeset/$rev target=\"_blank\">$rev</a>" \
 	>> ${TRUST_TEST_DIR}/${file_xios}
@@ -174,25 +175,43 @@
 
 get_inputs() {
-     # List archive content & extract it by default
-    local inputs_list="
-        for archive in \${TRUST_IO_FORC_TAR}; do
-            tar -tvf \${TRUST_IO_FORC_PATH}/\$archive >> inputs_list.txt;
-         done
-         "
-    local inputs_get="
-        for archive in \${TRUST_IO_FORC_TAR}; do
-            tar -vxf \${TRUST_IO_FORC_PATH}/\$archive  >       /dev/null;
-         done
-         "
-
-    ## List & copy files without archive
-    if [ -z "${TRUST_IO_FORC_TAR}" ]; then
-        inputs_list=" ls -lh \${TRUST_IO_FORC_PATH}/* >> inputs_list.txt"
-        inputs_get=" \cp     \${TRUST_IO_FORC_PATH}/* .                 "
-    fi
-
     cd ${TRUST_TEST_DIR}
+
+    ## Test forcing directory
+    if [[ ! ${TRUST_IO_FORC_PATH} && ${TRUST_IO_FORC_PATH-_} ]]; then
+
+	echo 'No forcing files needed'
+
+    else
+
+	## Test forcing archive
+	if [ -n "${TRUST_IO_FORC_TAR}" ]; then
+
+	    echo 'Forcing archive(s): '${TRUST_IO_FORC_TAR}
+
+	    # List archive content & extract it by default
+	    local inputs_list="
+            for archive in \${TRUST_IO_FORC_TAR}; do
+		tar -tvf \${TRUST_IO_FORC_PATH}/\$archive >> inputs_list.txt;
+            done
+            "
+	    local inputs_get="
+            for archive in \${TRUST_IO_FORC_TAR}; do
+		tar -vxf \${TRUST_IO_FORC_PATH}/\$archive  >       /dev/null;
+            done
+            "
+
+	else
+
+	    echo 'Forcing directory: '${TRUST_IO_FORC_PATH}
+
+	    ## List & copy files without archive
+            local inputs_list=" ls -lh \${TRUST_IO_FORC_PATH}/* >> inputs_list.txt"
+            local inputs_get=" \cp     \${TRUST_IO_FORC_PATH}/* .                 "
+	fi
+
+    fi
+
     eval ${inputs_list}
-    echo ${inputs_get}; eval ${inputs_get}
+    eval ${inputs_get}
 
     if [ $( find -name '*.gz' -print -quit ) ]; then
@@ -299,5 +318,5 @@
 	local time_cpu=$( eval ${TRUST_JOB_TIME} )
 
-	printf "Elapsed time: "
+	printf "Time: "
 	echo ${time_cpu} | tee -a ${file_time}
 
@@ -310,5 +329,5 @@
 	local memory_vmax=$( eval ${TRUST_JOB_RAM_V} )
 
-	printf "Memory max usage (physical/virtual): "
+	printf "Max memory usage (physical/virtual): "
 	echo ${memory_pmax}' / '${memory_vmax} | tee -a ${file_memy}
     fi
@@ -375,10 +394,10 @@
 	###############################################################
 	filebases=$( find -regextype sed -regex ".*${TRUST_CFG_NEW}.*_[0-9]\{4\}\.nc" \
-	             | sed 's/\(.*\)_.*/\1/' | sort -u                                  )
+	                 | sed 's/\(.*\)_.*/\1/' | sort -u                              )
 
 	for filebase in $filebases; do
 
 	    ndomain=$( find -regex ".*${filebase}_[0-9]*.nc" \
-		       | wc -l | awk '{print $1}'              )
+		           | wc -l | awk '{print $1}'          )
 
             #####################################################
@@ -486,5 +505,5 @@
 
         ## Send mail only when FAILED
-	if [[ ! -z "${TRUST_TEST_MAILING}"        \
+	if [[ -n "${TRUST_TEST_MAILING}"          \
 	      && ${TRUST_FLAG_RESULT} == 'FAILED'   ]]; then
 
@@ -576,5 +595,5 @@
 	comments 'E R R O R'
 	[ -e time.step ] && time_step=$( cat time.step )
-	TRUST_FLAG_ERROR+=' '$time_step
+	TRUST_FLAG_ERROR+=' '${time_step:=0}
     else
 	comments 'W A R N I N G'
@@ -587,6 +606,6 @@
 
     ## Last messenger files
-    sed -i "2 s/.*/$TRUST_FLAG_RESULT=/" ${file_rslt}
-    sed -i "2 s/.*/$TRUST_FLAG_ERROR/"   ${file_stat}
+    sed -i "2 s/.*/$TRUST_FLAG_RESULT/" ${file_rslt}
+    sed -i "2 s/.*/$TRUST_FLAG_ERROR/"  ${file_stat}
 
     ## Save tested configuration if trusting failed in production mode (-p|--prod)
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8843)
@@ -83,13 +83,10 @@
 echo '****************************************************************************************************'
 echo
-printf "\t§ (Super)Computer\t\t%s\n" 		       ${TRUST_MAIN_HPCC}
-printf "\t§ User installation\t\t%s\n\n" 	       ${TRUST_MAIN_USER}
+printf "\t§ Testing configuration\t\t%s on branch %s\n" \ ${TRUST_CFG_REF} ${TRUST_SVN_BRANCH}
+printf "\t§ (Super)Computer\t\t%s\n" 		          ${TRUST_MAIN_HPCC}
+printf "\t§ User installation\t\t%s\n\n" 	          ${TRUST_MAIN_USER}
 echo
-printf "\t§ Testing configuration\t\t%s based on %s\n" \
-    ${TRUST_CFG_NEW} ${TRUST_CFG_REF}
-printf "\t§ SVN working copy\t\t%s/%s\n"               \
-    ${TRUST_DIR_WORK} ${TRUST_SVN_BRANCH}
 if [ ${TRUST_TEST_BENCHMARK} ]; then
-printf "\t§ Benchmark folder\t\t%s\n"       	       ${TRUST_TEST_BENCHMARK}
+printf "\t§ Benchmark folder\n\t\t\t%s\n"      	          ${TRUST_TEST_BENCHMARK}
 fi
 
@@ -106,5 +103,5 @@
 
 print_step 'SVN action on NEMO directories'
-echo "${TRUST_SVN_ACTION} on ${TRUST_SVN_NEMOGCM}:"
+printf "${TRUST_SVN_ACTION} on ${TRUST_SVN_NEMOGCM}:\n\n"  
 get_nemo_rev
 
@@ -123,5 +120,5 @@
 compile_xios
 
-print_step "Compile ${TRUST_CFG_REF} configuration"
+print_step "Compile ${TRUST_CFG_NEW} cfg from ${TRUST_CFG_REF}"
 compile_nemo
 
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.php
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.php	(revision 8842)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.php	(revision 8843)
@@ -91,5 +91,5 @@
                                                 else {
 							if ( $LOG == "martin" ) {
-								$FILE = sprintf( "%s/%s/%s/trusting_martin_X64_CURIE_cron.txt", $DIR_TGCC , $CFG, $BCH );
+								$FILE = sprintf( "%s/%s/%s/trusting_martin_X64_CURIE_trust.txt", $DIR_TGCC , $CFG, $BCH );
 							}
 							else {