Index: branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 8847)
+++ branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 8848)
@@ -216,11 +216,4 @@
       !
       DO ji = 1, ksnd
-         WRITE(numout,*) '=========================================================='
-         WRITE(numout,*) 'In cpl_define'
-         WRITE(numout,*) 'ji: ', ji
-         WRITE(numout,*) 'ssnd(ji)%laction: ', ssnd(ji)%laction
-         WRITE(numout,*) 'ssnd(ji)%nct: ', ssnd(ji)%nct
-         WRITE(numout,*) 'ssnd(ji)%clname: ', ssnd(ji)%clname
-         WRITE(numout,*) '=========================================================='
          IF ( ssnd(ji)%laction ) THEN
 
Index: branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 8847)
+++ branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 8848)
@@ -116,5 +116,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  a_i
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  ht_i, ht_s
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  fmdice, rough_ice_skin
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  rough_ice_fmd, rough_ice_skin
 #endif
 
@@ -176,5 +176,5 @@
 #if defined key_cice || defined key_lim2
       IF( ln_cpl )   ALLOCATE( ht_i(jpi,jpj,jpl) , ht_s(jpi,jpj,jpl) , STAT=ierr(5) )
-      IF( ln_cpl )   ALLOCATE( fmdice(jpi,jpj) , rough_ice_skin(jpi,jpj) , STAT=ierr(5) ) 
+      IF( ln_cpl )   ALLOCATE( rough_ice_fmd(jpi,jpj) , rough_ice_skin(jpi,jpj) , STAT=ierr(5) ) 
 #endif
 
Index: branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8847)
+++ branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8848)
@@ -149,5 +149,5 @@
    INTEGER, PARAMETER ::   jps_bio_dms = 35           ! MEDUSA DMS surface concentration
    INTEGER, PARAMETER ::   jps_bio_chloro = 36        ! MEDUSA chlorophyll surface concentration
-   INTEGER, PARAMETER ::   jps_fmdice = 37            ! ice form drag
+   INTEGER, PARAMETER ::   jps_rough_ice_fmd = 37     ! ice form drag roughness length
    INTEGER, PARAMETER ::   jps_rough_ice_skin = 38    ! ice skin roughness length
    INTEGER, PARAMETER ::   jpsnd      = 38            ! total number of fields sent
@@ -875,12 +875,12 @@
       !                                                      !   Sea ice form drag       !
       !                                                      ! ------------------------- !
-      ssnd(jps_fmdice )%clname = 'OIceFmd'
+      ssnd(jps_rough_ice_fmd )%clname = 'OIceFmd'
       ssnd(jps_rough_ice_skin )%clname = 'ORghIcSk'
       SELECT CASE ( TRIM( sn_snd_icerough%cldes ) )
          CASE ( 'none' )
-            ssnd(jps_fmdice)%laction = .FALSE.
+            ssnd(jps_rough_ice_fmd)%laction = .FALSE.
             ssnd(jps_rough_ice_skin)%laction = .FALSE.
          CASE ( 'ice', 'weighted ice' ) 
-            ssnd(jps_fmdice)%laction = .TRUE.
+            ssnd(jps_rough_ice_fmd)%laction = .TRUE.
             ssnd(jps_rough_ice_skin)%laction = .TRUE.
          CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_icerough%cldes' )
@@ -2643,14 +2643,14 @@
       !                                                      ! ------------------------- !
 #if defined key_cice
-      IF( ssnd(jps_fmdice)%laction ) THEN
+      IF( ssnd(jps_rough_ice_fmd)%laction ) THEN
           SELECT CASE( sn_snd_icerough%cldes )
              CASE( 'ice' )
-                ztmp1(:,:) = fmdice(:,:)
+                ztmp1(:,:) = rough_ice_fmd(:,:)
              CASE( 'weighted ice' ) 
-                ztmp1(:,:) = fmdice(:,:) * fr_i(:,:)
+                ztmp1(:,:) = rough_ice_fmd(:,:) * fr_i(:,:)
              CASE default      ;  CALL ctl_stop( 'sbc_cpl_snd: wrong definition of sn_snd_icerough%cldes' )
           END SELECT
       ENDIF
-      IF( ssnd(jps_fmdice)%laction )   CALL cpl_snd( jps_fmdice, isec, RESHAPE ( ztmp1, (/jpi,jpj,1/) ), info ) 
+      IF( ssnd(jps_rough_ice_fmd)%laction )   CALL cpl_snd( jps_rough_ice_fmd, isec, RESHAPE ( ztmp1, (/jpi,jpj,1/) ), info ) 
 
       IF( ssnd(jps_rough_ice_skin)%laction ) THEN
Index: branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 8847)
+++ branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 8848)
@@ -259,5 +259,5 @@
       ENDIF
 
-      CALL cice2nemo(z0atm,fmdice,'T', 1. )
+      CALL cice2nemo(z0atm,rough_ice_fmd,'T', 1. )
       CALL cice2nemo(z0atmskin,rough_ice_skin,'T', 1. )
 
@@ -312,24 +312,4 @@
       IF( nn_timing == 1 )  CALL timing_stop('cice_sbc_init')
       !
-
-
-      IF(lwp) THEN                        ! control print
-        WRITE(numout,*)
-        WRITE(numout,*)'============================================================='
-        WRITE(numout,*)'At end of subroutine cice_sbc_init'
-        WRITE(numout,*)'MAXVAL(z0atm): ', MAXVAL(z0atm)
-        WRITE(numout,*)'MAXLOC(z0atm): ', MAXLOC(z0atm)
-        WRITE(numout,*)'MINVAL(z0atm): ', MINVAL(z0atm)
-        WRITE(numout,*)'MINLOC(z0atm): ', MINLOC(z0atm)
-        WRITE(numout,*)'MAXVAL(z0atmskin): ', MAXVAL(z0atmskin)
-        WRITE(numout,*)'MAXLOC(z0atmskin): ', MAXLOC(z0atmskin)
-        WRITE(numout,*)'MINVAL(z0atmskin): ', MINVAL(z0atmskin)
-        WRITE(numout,*)'MINLOC(z0atmskin): ', MINLOC(z0atmskin)
-        WRITE(numout,*)'============================================================='
-        WRITE(numout,*)
-      ENDIF
-
-
-
    END SUBROUTINE cice_sbc_init
 
@@ -810,5 +790,5 @@
 
 ! Surface roughness length for form drag
-      CALL cice2nemo(z0atm,fmdice,'T', 1. )
+      CALL cice2nemo(z0atm,rough_ice_fmd,'T', 1. )
 
 ! Surface skin roughness length
Index: branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8847)
+++ branches/UKMO/dev_r5518_GO6_package_r8356_plus_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8848)
@@ -306,4 +306,5 @@
       !
       IF( nn_ice == 3      )   CALL sbc_lim_init               ! LIM3 initialisation
+
       IF( nn_ice == 4      )   CALL cice_sbc_init( nsbc )      ! CICE initialisation
 