Index: /trunk/NEMOGCM/SETTE/new_sette.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/new_sette.sh	(revision 8848)
+++ /trunk/NEMOGCM/SETTE/new_sette.sh	(revision 8849)
@@ -143,5 +143,6 @@
 # ORCA2AGR          :  9 & 10  AGRIF active with no zoom, compared to no AGRIF cpp key
 
-for config in 1 2 3 4 5 6 7 8 9 10
+#for config in 1 2 3 4 5 6 7 8 9 10
+for config in 9 10
 do
 
@@ -793,5 +794,4 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fsbc 1 
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
@@ -817,5 +817,4 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fsbc 1 
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
@@ -824,5 +823,5 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg nn_date0 010106
+    set_namelist namelist_cfg nn_date0 010109
     set_namelist namelist_cfg cn_ocerst_in \"SAS_00000120_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_00000120_restart_ice\"
@@ -1294,4 +1293,5 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg ln_icebergs .false.   
 # 
 #   Set the number of fine grids to zero:    
@@ -1335,4 +1335,5 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg ln_icebergs .false.       
 #
     if [ ${USING_MPMD} == "yes" ] ; then
Index: /trunk/NEMOGCM/SETTE/new_sette_rpt.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/new_sette_rpt.sh	(revision 8848)
+++ /trunk/NEMOGCM/SETTE/new_sette_rpt.sh	(revision 8849)
@@ -16,4 +16,7 @@
 # For Stand Alone Surface configuration ocean is not running, just run ice model; so no outputs ocean files.
 # Compares LONG rebuild restart ice file with equivalent entry from the SHORT rebuild restart ice file.
+#
+# check nco module loaded, and load it if not
+if [ ! $( echo $LOADEDMODULES | grep cdo ) ]; then module load cdo >& /dev/null ; fi
 #
   vdir=$1
@@ -27,14 +30,14 @@
     rep2=`ls -1rt $vdir/$nam/$mach/$dorv/ | tail -1l`
     cd ${SAS_RESTART_DIR}/LONG
-    #SF add here compilation of rebuild_tools to rebuild restart files, and add comparison of restart files
+#SF add here compilation of rebuild_tools to rebuild restart files, and add comparison of restart files
     cd ${TOOLS_DIR}
     ./maketools -n REBUILD_NEMO -m ${mach} > /dev/null 2>&1
     cd ${TOOLS_DIR}/REBUILD_NEMO
-    #SF echo "REBUILD LONG restart SAS files, without standard output"
+#SF echo "REBUILD LONG restart SAS files, without standard output"
     ./rebuild_nemo -t 4 ../../CONFIG/SAS_ST/LONG/SAS_00000240_restart_ice  $NPROC > /dev/null 2>&1
-    #SF echo "REBUILD SHORT restart SAS files, without standard output"
+#SF echo "REBUILD SHORT restart SAS files, without standard output"
     ./rebuild_nemo -t 4 ../../CONFIG/SAS_ST/SHORT/SAS_00000240_restart_ice $NPROC >&-
     cd ${SAS_RESTART_DIR}/LONG
-    #SF echo "COPY rebuild restart files"
+#SF echo "COPY rebuild restart files"
     cp SAS_00000240_restart_ice.nc $vdir/$nam/$mach/$dorv/LONG/.
     cp ../SHORT/SAS_00000240_restart_ice.nc $vdir/$nam/$mach/$dorv/SHORT/.
@@ -45,12 +48,23 @@
       printf "%-20s %s\n" $nam " REBUILD SAS restart ice DOES NOT exists; incomplete test";
       return;
-    fi
+  fi
     #
-    done_oce=0
+  done_oce=0
     #
-    if  [  -f $f1o ] && [  -f $f2o ]; then
-      cmp -s $f1o $f2o 
-      #SF  cmp SAS_00000240_restart_ice.nc  ../SHORT/SAS_00000240_restart_ice.nc  > diff_restart.txt
-      if [ $? == 0 ]; then
+  if  [  -f $f1o ] && [  -f $f2o ]; then
+## Compare the two netcdf files
+    cdo diffn $f1o $f2o \
+            > cdo_diff.out 2> /dev/null
+## echo cdo_diff.out
+## Identical if first character of $dif ==0
+    [ ! -s cdo_diff.out ] && continue
+    dif=$( grep -om1 '[0-9]* of [0-9]* records differ' cdo_diff.out )
+    
+	    if [ -n "$dif" ]; then
+                difi=`echo $dif | cut -c -1`
+        fi	
+	\rm cdo_diff.out 
+
+     if [ $difi == 0 ]; then	
         if [ $pass == 0 ]; then
           printf "%-20s %s %s\n" $nam  " SAS restart files are IDENTICAL :  passed : " $dorv
@@ -62,7 +76,4 @@
 	#
         if [ $pass == 1 ]; then
-          echo "BE CAREFUL:  NEED cdo to see differences!!!!! "
-          echo "DO which cdo and replace cdo PATH to the cdo command in SETTE_rpt.sh "
-          echo "IF cdo is not available you need to do difference of netcdf file by hand"
           echo "<return> to view restart_ice.nc differences"
           read y